This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169085 - Review Request: lincity-ng: City Simulation Game
Review Request: lincity-ng: City Simulation Game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
David Lawrence
http://lincity-ng.berlios.de/
:
Depends On: 169082
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-22 16:58 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-25 21:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-09-22 16:58:50 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/lincity-ng.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/lincity-ng-1.0.1-1.src.rpm
Description: 
LinCity-NG is a City Simulation Game. It is a polished and improved version of
the classic LinCity (http://www.floot.demon.co.uk/lincity.html) game. Within
the scope of the GoTM project at happypenguin (http://happypenguin.org) we
have created a new iso-3D graphics engine, with a completely redone and modern
GUI.
Comment 1 Michael Schwendt 2005-09-23 15:37:01 EDT
Just skimming over the spec file (and not taking a deeper look), the only
thing I find odd is the "we have created" sentence in the description.
It is common practice to remove such ambiguity by not using first person
pronouns.

Is the context of GoTM really relevant?

My proposal:

LinCity-NG is a City Simulation Game. It is a polished and improved version
of the classic LinCity (http://www.floot.demon.co.uk/lincity.html) game with
a new iso-3D graphics engine and a completely redone and modern GUI.
Comment 2 Tom "spot" Callaway 2005-09-23 16:10:57 EDT
Your proposal looks good. I'll make that change in the next build (or before
commit if no new build is needed).
Comment 3 Brian Pepple 2005-09-24 07:55:35 EDT
PUBLISH +1

MD5Sums:
1576a0765eb29a668f7af3084de00739  lincity-ng-1.0.1.tar.bz2

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Desktop entry is fine
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Rpmlint does not find problems
* Package installs and uninstalls cleanly on FC4
* Software runs fine

Minor:
* Refer to comment #1.
Comment 4 Dennis Gilmore 2005-09-24 09:20:34 EDT
rpmlint is clean.   
MD5 sums match upstream    
builds in mock on rawhide, fc3, fc4 on i386 and x86_64  
spec looks good.  
installs and removes cleanly and runs as expected. 
license is ok 
Group is ok 
package name is ok 
 
APPROVED  
 
about the only thing i can think of is to break  the game data into a -data  
package  that could be hardlinked across the different archs and versions to  
save some hdd space since the package is 35mb 
 
I think Micheals suggestion for description is good also 
Comment 5 Brian Pepple 2005-09-24 10:37:29 EDT
Any reason why the bug was switched back to FE-REVIEW from FE-ACCEPT?
Comment 6 Tom "spot" Callaway 2005-09-25 17:30:12 EDT
I think you guys collided in midair. ;) Always nice to get two approval reviews
for one package. I'll set this back to FE-ACCEPT, based on the above context.

Note You need to log in before you can comment on or make changes to this bug.